Subject: Re: 23.0.60; Emacs Default Font

From: Vinicius Jose Latorre <[email-masked]>
Date: Wed, 08 Oct 2008 10:36:21 -0300

Chong Yidong wrote:
> Vinicius Jose Latorre <[email-masked]> writes:
>
>>>> I would like to know what happened with Emacs default font, see
>>>> images attached in this email.
>> Hmm, yes, indeed, it's monospaced, I should pay more attention.
>>
>> But the font is another one, why?
>
> In June, we changed Emacs to try using Monospace-12 as the default font,
> if Emacs is compiled with XFT support. Monospace should be an
> anti-aliased font.
>
> If this change is responsible for what you're seeing, I'm not sure why
> the screenshot you provided shows a non-antialiased font.
>
> Could you check if your Emacs is compiled with libxft? Also, what is
> the default font you currently see? What does the menu item
> Options->Set Default Font show?

Yes, it was compiled with libxft, see:

Configured for `i686-pc-linux-gnu'.

  Where should the build process find the source code?    
/home/vinicius/work/emacs
  What operating system and machine description files should Emacs use?
        `s/gnu-linux.h' and `m/intel386.h'
  What compiler should emacs be built with?               gcc -g -O2 
-Wno-pointer-sign
  Should Emacs use the GNU version of malloc?             yes
      (Using Doug Lea's new malloc from the GNU C Library.)
  Should Emacs use a relocating allocator for buffers?    yes
  Should Emacs use mmap(2) for buffer allocation?         no
  What window system should Emacs use?                    x11
  What toolkit should Emacs use?                          GTK
  Where do we find X Windows header files?                Standard dirs
  Where do we find X Windows libraries?                   Standard dirs
  Does Emacs use -lXaw3d?                                 no
  Does Emacs use -lXpm?                                   yes
  Does Emacs use -ljpeg?                                  yes
  Does Emacs use -ltiff?                                  yes
  Does Emacs use a gif library?                           yes -lgif
  Does Emacs use -lpng?                                   yes
  Does Emacs use -lrsvg-2?                                yes
  Does Emacs use -lgpm?                                   yes
  Does Emacs use -ldbus?                                  yes
  Does Emacs use -lfreetype?                              yes
  Does Emacs use -lm17n-flt?                              no
  Does Emacs use -lotf?                                   no
  Does Emacs use -lxft?                                   yes
  Does Emacs use toolkit scroll bars?                     yes

The menu item Options->Set Default Font shows:   Sans Regular 12

My ~/.Xresources file is:

Mozilla*font:fixed
Firefox*font:fixed
Emacs*font:fixed